/*
 * snoop.h
 * Copyright (C) 2005 Florin Malita <fmalita@gmail.com>
 *
 * This file is part of Snoop, a free GNU/Linux monitoring tool.
 * See http://snoop.sourceforge.net/ for details and updates.
 *
 * Snoop is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Snoop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _SNOOP_H_
#define _SNOOP_H_

#define SNOOP_IOC_MAGIC	0xfa
#define SNOOP_IOCATTACHR	_IOW(SNOOP_IOC_MAGIC, 0x80, unsigned long)
#define SNOOP_IOCATTACHW	_IOW(SNOOP_IOC_MAGIC, 0x81, unsigned long)
#define SNOOP_IOCATTACHRW	_IOW(SNOOP_IOC_MAGIC, 0x82, unsigned long)
#define SNOOP_IOCGCOUNT		_IOR(SNOOP_IOC_MAGIC, 0x83, unsigned long)

#define SNOOP_MODE_READ		0x01
#define SNOOP_MODE_WRITE	0x02

#define DEFAULT_SNOOP_DEV	"/dev/snoop"
#define MODULE_NAME		"snoop"
#define BUFFER_SIZE		0x0400

#define SNOOP_HASH_SIZE		64

#define PROC_DIR		"/proc"
#define FD_DIR			"fd"

struct snoop_wd {
	unsigned		wd;
	struct list_head	list;
	char			*name;
};

#endif /* _SNOOP_H_ */
